FAQ

All about the game
Locked
User avatar
admin
Site Admin
Posts: 1201
Joined: 03 Jun 2014, 22:14

05 Jun 2014, 17:47

Q. What software is required to run Twins?
A. Twins requires Microsoft .NET Framework 4.0+.

Q. Is it free of charge?
A. Yes, it is.
Locked